coinor-libipopt-doc_3.11.9-2.1_all.deb


Advertisement

Description

coinor-libipopt-doc - Interior-Point Optimizer - documentation

Distribution: Debian Sid
Repository: Debian Main amd64
Package name: coinor-libipopt-doc
Package version: 3.11.9
Package release: 2.1
Package architecture: all
Package type: deb
Installed size: 41.57 KB
Download size: 2.03 MB
Official Mirror: ftp.br.debian.org
Description: unavailable.

Alternatives

Requires

    Download

    Source package: coinor-ipopt

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install coinor-libipopt-doc deb package:
      # sudo apt-get install coinor-libipopt-doc

    Changelog

    2015-08-30 - Simon McVittie <smcv@debian.org> coinor-ipopt (3.11.9-2.1) unstable; urgency=medium * Non-maintainer upload. * Incorporate library rename, from Ubuntu (Closes: #791007) [ Steve Langasek ] * Rename library packages for g++5 ABI transition.

    2014-10-01 - Greg Horn <gregmainland@gmail.com> coinor-ipopt (3.11.9-2) unstable; urgency=low * Link against sequential MUMPS instead of parallel (Closes: #763621) * Enable unit tests

    2014-08-27 - Greg Horn <gregmainland@gmail.com> coinor-ipopt (3.11.9-1) unstable; urgency=low * New upstream release (Closes: #745612) * Use MPI_Initialized (retires mpi_init.patch)

    2014-03-10 - Roberto C. Sanchez <roberto@connexer.com> coinor-ipopt (3.11.7-2) unstable; urgency=low * Also do not call MPI_Finalize() from within library. (Closes: #736842) + Update patch mpi-init.patch (Thanks to Ansgar Burchardt)

    2014-03-08 - Roberto C. Sanchez <roberto@connexer.com> coinor-ipopt (3.11.7-1) unstable; urgency=low * New upstream release * Bump standards version to 3.9.5 (no changes required) * Do not call MPI_Init() from within library; applications are responsible for this. Thanks to Ansgar Burchardt for the patch. (Closes: #736842)

    2013-09-21 - Roberto C. Sanchez <roberto@connexer.com> coinor-ipopt (3.11.4-1) unstable; urgency=low * New upstream release * Acknowledge NMU, thanks to Etienne Millon * Bump standards version to 3.9.4 (no changes required) * Add -DHAVE_CSTDDEF to pkg-config file (Closes: #684062) * Add dependency upon libmumps-dev for development package (Closes: #711939)

    2012-06-16 - Etienne Millon <etienne.millon@gmail.com> coinor-ipopt (3.10.2-1.1) unstable; urgency=low * Non-maintainer upload. * Remove hardcoded dependency on libmumps (Closes: #662236). * Add missing dependencies on libmpi and libdl.

    2012-02-28 - Roberto C. Sanchez <roberto@connexer.com> coinor-ipopt (3.10.2-1) unstable; urgency=low * New upstream release * Bump standards version to 3.9.3 (no changes required) * Fix problem with buildintg Doxygen documentation, thanks to Christophe Trophime for the patches (Closes: #659898)

    2011-10-14 - Roberto C. Sanchez <roberto@connexer.com> coinor-ipopt (3.10.1-1) unstable; urgency=low * New upstream release * Bump standards version to 3.9.2 (no changes required) * Stop shipping unneeded .la file * Change Build-Depends, doxygen and texlive-* for doxygen-latex (Closes: #616205) * Remove Soeren from Uploaders (Closes: #645075) * Add missing cstddef include (Closes: #625018) * Build-Conflicts with pkg-config, as its presence causes FTBFS (Closes: #621596, #643721) * Update SH4 patch, thanks to Nobuhiro Iwamatsu (Closes: #612367) * Override lintian warning: package-name-doesnt-match-sonames

    2011-01-27 - Roberto C. Sanchez <roberto@connexer.com> coinor-ipopt (3.9.2-1) unstable; urgency=low * New upstream release (Closes: #610606) * Refresh patch coinor-ipopt_sh4.diff * SONAME bump: coinor-ipopt0 -> coinor-ipopt1 * coinor-libipopt1: Add dependency on libmumps-4.9.2 and libmumps-seq-4.9.2; thanks to Michael Weitzel for the suggestion (Closes: #592324) * Document the need to pass extra flags to the linker when linking against coinor-ipopt (Closes: #592752) * Look in /usr/include/mumps_seq for headers (accommodates a change in the libmumps-seq-dev package) * Install *.pc files so pkg-config can be used to build against coinor-ipopt

    Advertisement
    Advertisement